<?php

namespace App\Providers;
use WebDav\WebDav\WebDavClient;
class WebDavProvider {
    public const INVOICE_PREFIX = 'Abrechnungen ';

    private WebDavClient $webDavClient;
    private string $workingDirectory = '/';

    public function __construct($workingDirectory) {
        $this->webDavClient = new WebDavClient(env('WEBDAV_HOST'), env('WEBDAV_USER'), env('WEBDAV_PASS'));
        $this->workingDirectory = $workingDirectory;
    }

    public function uploadFile(string $fileName) : bool {
        $baseDir = storage_path('app/private/');

        return $this->webDavClient->upload_file($baseDir . $fileName, $this->workingDirectory . '/');
    }
}
